<?php



// Enqueues
function enqueue_styles_and_scripts() {
	
	// Lier la css du thème parent:
    wp_enqueue_style( 'parent-style', get_template_directory_uri().'/style.css' );

    //Ajout de slick slider
    wp_enqueue_style( 'slick_slider-style', get_template_directory_uri() . '/../mqp2018/js/slick/slick.css' );
	wp_enqueue_style( 'slick_slider-style2', get_template_directory_uri() . '/../mqp2018/js/slick/slick-theme.css' );

	wp_enqueue_script( 'jquery', '//code.jquery.com/jquery-1.11.0.min.js', array(), '20151215', true );
	wp_enqueue_script( 'jquery_migrate', '//code.jquery.com/jquery-migrate-1.2.1.min.js', array(), '20151215', true );
	wp_enqueue_script( 'slick_slider-script', get_template_directory_uri() . '/../mqp2018/js/slick/slick.min.js', array( 'jquery' ), NULL, true );
} add_action( 'wp_enqueue_scripts', 'enqueue_styles_and_scripts' );


function mqp_widgets_init() {

	register_sidebar( array(
		'name'          => __( 'Pied de page 3', 'mqp' ),
		'id'            => 'sidebar-4',
		'description'   => __( 'Add widgets here to appear in your footer.', 'mqp' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );

	register_sidebar( array(
		'name'          => 'Bulle',
		'id'            => 'qwidget',
		'before_widget' => '<div id="in-qwidget">', //si on ne met rien, par défaut cela met un li
		'after_widget'  => '</div>',
		'before_title'  => '<h3>',
		'after_title'   => '</h3>',
	) );

} add_action( 'widgets_init', 'mqp_widgets_init' );


// N'afficher qu'une ou certaines catégories sur la homepage (mode blog):
function mqp2018_frontpage_posts( $query ) {
	if ( $query->is_home() && $query->is_main_query() ) {
	$query->set( 'cat', '7'); // On peut en rajouter en séparant les nombres par une virgule, dans les mêmes 'guillemets'.
	}
} add_action( 'pre_get_posts', 'mqp2018_frontpage_posts' );



// Enlever le préfixe devant les titres de pages et de taxonomies:
function prefix_category_title( $title ) {
    if ( is_category() ) {
        $title = single_cat_title( '', false );
    }
    return $title;
}
add_filter( 'get_the_archive_title', 'prefix_category_title' );



//Masquer des choses dans l'admin wordpress:
add_action( 'admin_menu', 'remove_tabs_in_dashboard' );

function remove_tabs_in_dashboard() {
	//Masquer les pages
    remove_menu_page('edit.php?post_type=page');
    //Masquer les commentaires
    remove_menu_page('edit-comments.php');
}



//Désactiver les étiquettes
add_action( 'init', 'mqp2018_no_tags' );

function mqp2018_no_tags() {
    unregister_taxonomy_for_object_type( 'post_tag', 'post' );
}



//Renommer les articles:
add_action( 'registered_post_type', 'rename_posts_labels', 10, 2 );

function rename_posts_labels($post_type, $args) {
	if ( $post_type != 'post' )
		return;

	global $wp_post_types;
	$wp_post_types['post']->label			    	    = _x("Blocs", 'post type general name', 'mqp2018');
	$wp_post_types['post']->labels->name			    = _x("Tous les blocs", 'post type general name', 'mqp2018');
	$wp_post_types['post']->labels->singular_name       = _x("Bloc", 'post type singular name', 'mqp2018');
//	$wp_post_types['post']->labels->add_new			    = __("Add");
	$wp_post_types['post']->labels->add_new_item	    = __("Créer un nouveau bloc", 'mqp2018');
	$wp_post_types['post']->labels->edit_item		    = __("Modifier le bloc ci-dessous", 'mqp2018');
	$wp_post_types['post']->labels->new_item		    = __("Nouveau bloc", 'mqp2018');
	$wp_post_types['post']->labels->view_item	    	= __("Afficher le bloc", 'mqp2018');
	$wp_post_types['post']->labels->search_items	    = __("Trouver un bloc", 'mqp2018');
	$wp_post_types['post']->labels->not_found	    	= __("Il n'y a aucun bloc.", 'mqp2018');
	$wp_post_types['post']->labels->not_found_in_trash	= __("Il n'y a aucun bloc dans la corbeille.", 'mqp2018');
//	$wp_post_types['post']->labels->parent_item_colon	= null;
	$wp_post_types['post']->labels->all_items		    = __("Blocs", 'mqp2018');
	$wp_post_types['post']->labels->menu_name		    = _x("Pages et Blocs", 'post type general name', 'mqp2018');
	$wp_post_types['post']->labels->name_admin_bar		= _x("Bloc", 'post type singular name', 'mqp2018');
}



//Reformuler les notifications liées aux articles:
add_filter( 'post_updated_messages', 'rename_posts_notifications' );

function rename_posts_notifications($messages) {
	global $post;
	if ( $post->post_type != 'post' )
		return $messages;

	$post_url	= get_permalink($post->ID);
	$post_url_esc	= esc_url( $post_url );
	$post_url_pvw	= esc_url( add_query_arg( 'preview', 'true', $post_url ) );

	$messages['post'] = array(
		 0 => '', // Unused. Messages start at index 1.
		 1 => sprintf( __('Le bloc a été mis à jour. <a href="%s">Afficher le bloc</a>', 'mqp2018'), $post_url_esc ),
		 2 => __('Le champ personnalisé a bien été mis à jour.'),
		 3 => __('Le champ personnalisé a bien été supprimé.'),
		 4 => __('Le bloc a été mis à jour.', 'mqp2018'),
		 5 => isset($_GET['revision']) ? sprintf( __('Le bloc a bien été restauré tel qu\'à la version du %s', 'mqp2018'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
		 6 => sprintf( __('Le bloc est désormais publié. <a href="%s">Afficher le bloc</a>', 'mqp2018'), $post_url_esc ),
		 7 => __('Le bloc a bien été enregistré.', 'mqp2018'),
		 8 => sprintf( __('Le bloc a bien été soumis. <a target="_blank" href="%s">Prévisualiser le bloc</a>', 'mqp2018'), $post_url_pvw ),
		 9 => sprintf( __('Ce bloc sera automatiquement publié le <strong>%s</strong>.', 'mqp2018'), date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ) ),
		10 => sprintf( __('Le brouillon du bloc a bien été mis à jour. <a target="_blank" href="%s">Prévisualiser le bloc</a>', 'mqp2018'), $post_url_pvw ),
	);
	return $messages;
}



//Renommer les catégories:
add_action('init', 'rename_categories_labels');

function rename_categories_labels(){
	global $wp_taxonomies;
	$labels = &$wp_taxonomies['category']->labels;
	$labels->name              = "Toutes les pages";
	$labels->singular_name     = "Page";
	$labels->search_items      = "Rechercher une page";
	$labels->all_items         = "Toutes les pages";
	$labels->parent_item       = "Page parent";
	$labels->parent_item_colon = "Page parent :";
	$labels->edit_item         = "Modifier la page";
	$labels->view_item         = "Afficher la page";
	$labels->update_item       = "Mettre à jour la page";
	$labels->add_new_item      = "Ajouter une nouvelle page";
	$labels->new_item_name     = "Nom de la nouvelle page";
	$labels->not_found         = "Aucune page n'a été trouvée.";
	$labels->nono_termst_found = "Aucune page";
	$labels->menu_name         = "Pages";
}


//Réorganiser le menu admin
function custom_menu_order($menu_ord) {
    if (!$menu_ord) return true;
     
    return array(
    	'index.php', // Dashboard
    	'options-general.php', // Settings
    	'separator1', // First separator
        'edit.php', // Posts
        'edit.php?post_type=page', // Pages
        'upload.php', // Media
    	'separator2', // Second separator
        'link-manager.php', // Links
        'edit-comments.php', // Comments
        'themes.php', // Appearance
        'plugins.php', // Plugins
        'users.php', // Users
        'tools.php', // Tools
        'separator-last', // Last separator
    );
}
add_filter('custom_menu_order', 'custom_menu_order'); // Activate custom_menu_order
add_filter('menu_order', 'custom_menu_order');



//Customiser la balise Read more:
function modify_read_more_link(){
    return '<a class="more-link" href="'.get_permalink().'"><span>En savoir plus</span></a>';
}
add_filter('the_content_more_link', 'modify_read_more_link');



//Customiser le "Protégé:" devant article à mdp:
function remove_private_title( $title ) {
    return '<span class="mdp"><span>[Mot de passe requis]</span></span> %s';
}
add_filter( 'protected_title_format', 'remove_private_title' );




?>