<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Twenty_Seventeen
 * @since 1.0
 * @version 1.0
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">

<?php wp_head(); ?>

<?php
// ACF: get the current taxonomy term
$term = get_queried_object();

// ACF: vars
$ACFcolor = get_field('first_color', $term);
$ACFimage = get_field('category_featured_img', $term);
?>

<style type="text/css">
	<?php   if( $ACFimage ){ ?>
				/* D'abord l'image de catégorie (sinon c'est l'image à la une du dernier article qui est détectée) */
				.mqp-header-media,
				.site-content-contain:after{
					background-image: url(<?php echo $ACFimage; ?>);
				}
	<?php } else if( has_post_thumbnail() && is_single() ){ ?>

				.mqp-header-media,
				.site-content-contain:after{
					background-image: url(<?php the_post_thumbnail_url('full'); ?>);
				}

	<?php } else { ?>
				.mqp-header-media,
				.site-content-contain:after{
					background-image: url(<?php echo get_header_image(); ?>);
				}
	<?php } ?>

</style>

<?php
	if(!$ACFcolor){ // Si pas de couleur définie, prendre celle de la "page" accueil
		$term = get_term(7); // 7 = ID de la catégorie Accueil
		$ACFcolor = get_field('first_color', $term);
	}

	if($ACFcolor){

		if($ACFcolor == "lavande"){

			//Couleurs 1
			echo '<link type="text/css" rel="stylesheet" href="'.get_stylesheet_directory_uri().'/mqp-colors-1.css"/>';

		} else if($ACFcolor == "aubergine") {

			//Couleurs 2
			echo '<link type="text/css" rel="stylesheet" href="'.get_stylesheet_directory_uri().'/mqp-colors-2.css"/>';


		} else if($ACFcolor == "cerise") {

			//Couleurs 3
			echo '<link type="text/css" rel="stylesheet" href="'.get_stylesheet_directory_uri().'/mqp-colors-3.css"/>';

		} else if($ACFcolor == "brique") {

			//Couleurs 4
			echo '<link type="text/css" rel="stylesheet" href="'.get_stylesheet_directory_uri().'/mqp-colors-4.css"/>';					

		} else if($ACFcolor == "curry") {

			//Couleurs 5
			echo '<link type="text/css" rel="stylesheet" href="'.get_stylesheet_directory_uri().'/mqp-colors-5.css"/>';					

		} else if($ACFcolor == "taupe") {

			//Couleurs 6
			echo '<link type="text/css" rel="stylesheet" href="'.get_stylesheet_directory_uri().'/mqp-colors-6.css"/>';					

		}

	} ?>

</head>

<body <?php body_class(); ?>>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content"><?php _e( 'Skip to content', 'twentyseventeen' ); ?></a>

	<header id="masthead" role="banner">

		<?php if ( has_nav_menu( 'top' ) ) : ?>
			<div class="navigation-top">
				<div class="wrap">
					<?php the_custom_logo(); ?>
					<?php get_template_part( 'template-parts/navigation/navigation', 'top' ); ?>
				</div><!-- .wrap -->
			</div><!-- .navigation-top -->
		<?php endif; ?>

		<div class="site-header">
			<?php get_template_part( 'template-parts/header/header', 'mqp' ); ?>
		</div>

	</header><!-- #masthead -->

	<?php

	/*
	 * If a regular post or page, and not the front page, show the featured image.
	 * Using get_queried_object_id() here since the $post global may not be set before a call to the_post().
	 */
	if ( ( is_single() || ( is_page() && ! twentyseventeen_is_frontpage() ) ) && has_post_thumbnail( get_queried_object_id() ) ) :
		echo '<div class="single-featured-image-header">';
		echo get_the_post_thumbnail( get_queried_object_id(), 'twentyseventeen-featured-image' );
		echo '</div><!-- .single-featured-image-header -->';
	endif;
	?>

	<div class="site-content-contain">
		<div id="content" class="site-content">

			<div class="wrap qwidget">
				<div id="qwidget">
					<?php if ( is_active_sidebar( 'qwidget' ) ){
						dynamic_sidebar( 'qwidget' );
					} ?>
				</div>
			</div>
